import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class VgkCommonUtils {
  static imageloader(String src) {
    if (src.contains('http')) {
      return CachedNetworkImage(
        imageUrl: src,
        fit: BoxFit.fill,
        progressIndicatorBuilder: (context, url, downloadProgress) =>
            CircularProgressIndicator(value: downloadProgress.progress),
        errorWidget: (context, url, error) => Icon(Icons.error),
      );
    } else {
      return Image.asset(
        src,
        fit: BoxFit.fill,
      );
    }
  }
}
